Create User

Create a new user - The user object now only requires the firstName, lastName, email and mobile fields to create a new user. You can choose to collect the remaining information as per your onboarding flow and update them via the PATCH user method.

Please note, all the optional fields on this page are mandatory to eventually start KYC.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Users are identities representing individuals. Once on-boarded, users can create accounts and cards.

🚧

IMPORTANT:

Creating a user identity immediately sends out the verification emails and SMS's which are sent automatically on the PATCH User API as well depending upon the verification status of the email address and/or mobile number. It is a known fraud exploited by scammers to spam your "Create User" API with invalid email addresses and mobile numbers to add unnecessarily large charges to your bill (More info. here - https://www.twilio.com/docs/verify/preventing-toll-fraud#what-is-sms-pumping)

SMS charges are passed on at cost to you and we strongly recommend adding an additional layer or protection within your "Create User" flow on your frontend to prevent illicit access to your API. Email bounces further hurts your domain reputation, although charges may be lesser in these cases.

Body Params
string
required

The first name of the user - Minimum of 2 up to 40 characters in length as a string, Allowed case-insensitive characters: ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'æ', 'ä', 'å', 'á', 'é', 'í', 'ø', 'ö', 'ó', 'õ', 'š', 'ü', 'ú', 'ž', 'à', 'è', 'ì', 'ò', 'ù', 'â', 'ê', 'î', 'ô', 'û', 'ã', 'ñ', 'ë', 'ï', 'ÿ', 'ė', 'ç', 'ć', 'ń', 'ś', 'ź', 'ā', 'ē', 'ī', 'ō', 'ū', 'ą', 'ę', 'į', 'ų', 'č', 'ģ', 'ķ', 'ļ', 'ņ', 'ŗ', 'ỳ', 'ǹ', 'ẁ', 'ý', 'ǵ', 'ḱ', 'ĺ', 'ḿ', 'ṕ', 'ŕ', 'ẃ', 'ŷ', 'ĉ', 'ĝ', 'ĥ', 'ĵ', 'ŝ', 'ŵ', 'ẑ', 'ẽ', 'ĩ', 'ũ', 'ỹ', 'ṽ', 'ḧ', 'ẅ', 'ẍ', 'ẗ', 'ẘ', 'ẙ', 'ȳ', 'ḡ', 'ă', 'ĕ', 'ĭ', 'ŏ', 'ŭ', 'ğ', 'ǫ', 'ǎ', 'ě', 'ǐ', 'ǒ', 'ǔ', 'ď', 'ǧ', 'ȟ', 'ǰ', 'ǩ', 'ľ', 'ň', 'ř', 'ť', 'ȩ', 'ḑ', 'ḩ', 'ş', 'ţ', 'ő', 'ű', 'ů', 'ǖ', 'ǘ', 'ǚ', 'ǜ', ''', '-', '/', '.', ',', '&', ' '].

string
required

The last name of the user - Minimum of 2 up to 40 characters in length as a string, Allowed case-insensitive characters: ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'æ', 'ä', 'å', 'á', 'é', 'í', 'ø', 'ö', 'ó', 'õ', 'š', 'ü', 'ú', 'ž', 'à', 'è', 'ì', 'ò', 'ù', 'â', 'ê', 'î', 'ô', 'û', 'ã', 'ñ', 'ë', 'ï', 'ÿ', 'ė', 'ç', 'ć', 'ń', 'ś', 'ź', 'ā', 'ē', 'ī', 'ō', 'ū', 'ą', 'ę', 'į', 'ų', 'č', 'ģ', 'ķ', 'ļ', 'ņ', 'ŗ', 'ỳ', 'ǹ', 'ẁ', 'ý', 'ǵ', 'ḱ', 'ĺ', 'ḿ', 'ṕ', 'ŕ', 'ẃ', 'ŷ', 'ĉ', 'ĝ', 'ĥ', 'ĵ', 'ŝ', 'ŵ', 'ẑ', 'ẽ', 'ĩ', 'ũ', 'ỹ', 'ṽ', 'ḧ', 'ẅ', 'ẍ', 'ẗ', 'ẘ', 'ẙ', 'ȳ', 'ḡ', 'ă', 'ĕ', 'ĭ', 'ŏ', 'ŭ', 'ğ', 'ǫ', 'ǎ', 'ě', 'ǐ', 'ǒ', 'ǔ', 'ď', 'ǧ', 'ȟ', 'ǰ', 'ǩ', 'ľ', 'ň', 'ř', 'ť', 'ȩ', 'ḑ', 'ḩ', 'ş', 'ţ', 'ő', 'ű', 'ů', 'ǖ', 'ǘ', 'ǚ', 'ǜ', ''', '-', '/', '.', ',', '&', ' '].

string
required

E-mail address of the user

mobile
object
dateOfBirth
object
address
object
Headers
string
required

Your Striga API key

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json